Compare commits

..

No commits in common. "rawhide" and "f37" have entirely different histories.

5 changed files with 19 additions and 101 deletions

4
.gitignore vendored
View file

@ -6,7 +6,3 @@
/openscap-report-0.2.3.tar.gz
/openscap-report-0.2.4.tar.gz
/openscap-report-0.2.5.tar.gz
/openscap-report-0.2.6.tar.gz
/openscap-report-0.2.7.tar.gz
/openscap_report-0.2.9.tar.gz
/openscap_report-1.0.0.tar.gz

View file

@ -1,3 +1,3 @@
This repository is maintained by packit.
https://packit.dev/
The file was generated using packit 0.101.1.post1.dev8+ge78e9e3b.
The file was generated using packit 0.79.1.post14+g9e876412.

View file

@ -49,7 +49,7 @@ run_oscap_scan() {
oscap xccdf eval ${fetch} --profile "(all)" --results-arf ${file} ${ds} || EXIT_CODE=$?
echo $EXIT_CODE
if [ ! -f "$file" ]; then
echo "$file does not exist." >&2
echo "$file does not exist."
exit 2
fi
}
@ -58,35 +58,35 @@ get_product() {
cpe_name=$(grep "CPE_NAME=" < /etc/os-release | sed 's/CPE_NAME=//g' | sed 's/["]//g')
if [[ "${cpe_name}" =~ fedora ]]; then
echo "fedora"
elif [[ "${cpe_name}" =~ redhat ]]; then
version=$(grep VERSION_ID /etc/os-release | grep -o "[0-9]\+" | head -n1)
echo "rhel${version}"
elif [[ "${cpe_name}" =~ redhat.*8 ]]; then
echo "rhel8"
elif [[ "${cpe_name}" =~ redhat.*9 ]]; then
echo "rhel9"
elif [[ "${cpe_name}" =~ centos.*8 ]]; then
echo "centos8"
elif [[ "${cpe_name}" =~ centos ]]; then
version=$(grep VERSION_ID /etc/os-release | grep -o "[0-9]\+")
echo "cs${version}"
elif [[ "${cpe_name}" =~ centos.*9 ]]; then
echo "cs9"
else
echo $cpe_name
echo "ERROR: Not supported OS!" >&2
echo "ERROR: Not supported OS!"
exit 1
fi
}
if [ "$1" = "" ]; then
echo "ERROR: Missing MODE parameter!" >&2
echo "ERROR: Missing MODE parameter!"
exit 1
fi
if [ "$2" = "" ]; then
echo "ERROR: Missing FETCH parameter!" >&2
echo "ERROR: Missing FETCH parameter!"
exit 1
fi
if [ "$3" = "" ]; then
echo "ERROR: Missing ARF_FILE parameter!" >&2
echo "ERROR: Missing ARF_FILE parameter!"
exit 1
fi
file=$3

View file

@ -1,19 +1,18 @@
%global pymodule_name openscap_report
Name: openscap-report
Version: 1.0.0
Release: 6%{?dist}
Version: 0.2.5
Release: 1%{?dist}
Summary: A tool for generating human-readable reports from (SCAP) XCCDF and ARF results
# The entire source code is LGPL-2.1+ and GPL-2.0+ and MIT except schemas/ and assets/, which are Public Domain
License: LGPLv2+ and GPLv2+ and MIT and Public Domain
URL: https://github.com/OpenSCAP/%{name}
Source0: https://github.com/OpenSCAP/%{name}/releases/download/v%{version}/%{pymodule_name}-%{version}.tar.gz
Source0: https://github.com/OpenSCAP/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: python3-pytest
BuildRequires: python3-sphinx
BuildRequires: python3-sphinx_rtd_theme
@ -23,8 +22,6 @@ Requires: python3-lxml
Recommends: redhat-display-fonts
Recommends: redhat-text-fonts
Obsoletes: oval-graph
%global _description %{expand:
This package provides a command-line tool for generating
human-readable reports from SCAP XCCDF and ARF results.}
@ -33,13 +30,11 @@ human-readable reports from SCAP XCCDF and ARF results.}
%prep
%autosetup -p1 -n %{pymodule_name}-%{version}
%autosetup -p1 -n %{name}-%{version}
%generate_buildrequires
%pyproject_buildrequires
# test requirement listed only in tox.ini
echo "%{py3_dist jsonschema}"
%pyproject_buildrequires -t
%build
@ -55,8 +50,7 @@ install -m 0644 -Dt %{buildroot}%{_mandir}/man1 _build_docs/oscap-report.1
%check
# test_store_file fails with FileNotFoundError: [Errno 2] No such file or directory: '/tmp/oscap-report-tests_result.html'
%pytest -k "not test_store_file"
%tox
%files -f %{pyproject_files}
%{_mandir}/man1/oscap-report.*
@ -66,78 +60,6 @@ install -m 0644 -Dt %{buildroot}%{_mandir}/man1 _build_docs/oscap-report.1
%changelog
* Fri Sep 19 2025 Python Maint <python-maint@redhat.com> - 1.0.0-6
- Rebuilt for Python 3.14.0rc3 bytecode
* Fri Aug 15 2025 Python Maint <python-maint@redhat.com> - 1.0.0-5
- Rebuilt for Python 3.14.0rc2 bytecode
* Thu Jul 24 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild
* Wed Jun 04 2025 Python Maint <python-maint@redhat.com> - 1.0.0-3
- Rebuilt for Python 3.14
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild
* Fri Oct 04 2024 Packit <hello@packit.dev> - 1.0.0-1
- Update to version 1.0.0
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild
* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.2.9-2
- Rebuilt for Python 3.13
* Tue Apr 23 2024 Packit <hello@packit.dev> - 0.2.9-1
- Update to version 0.2.9
* Mon Jan 29 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 0.2.7-2
- Avoid tox dependency
* Fri Jan 26 2024 Packit <hello@packit.dev> - 0.2.7-1
- 0.2.7 (Jan Rodak)
- Add tool tip to search bar (Jan Rodak)
- Enable search by reference (Jan Rodak)
- Add generation search infromation (Jan Rodak)
- Use macro for generation of list items (Jan Rodak)
- Create two-tier display of Evaluation Characteristics (Jan Rodak)
- Add title (Jan Rodak)
- Reduce complexity of function generate_referenced_endpoints (Jan Rodak)
- Use default dict (Jan Rodak)
- Fix JSON schema (Jan Rodak)
- Use correct orthography of addresses types acronyms (Jan Rodak)
- Add function to update known references (Jan Rodak)
- Change the presentation of referenced endpoints (Jan Rodak)
- Add new elements (Jan Rodak)
- Add onclick function (Jan Rodak)
- Add map of OVAL endpoints (Jan Rodak)
- Add target addresses to report (Jan Rodak)
- Add target addresses to model (Jan Rodak)
- Fix width of pre element (Jan Rodak)
* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
* Wed Dec 20 2023 Packit <hello@packit.dev> - 0.2.6-1
- 0.2.6 (Jan Rodak)
- Extend the condition to account empty strings in href (Jan Černý)
- Add comments for the pylint tool (Jan Černý)
- Add special classes to table element (Jan Černý)
- Account for missing reference href attribute (Jan Černý)
- Add pragmas to avoid PEP8 warnings (Jan Černý)
- Present references in a table (Jan Černý)
- Collapse CPE tree when is true (Jan Rodak)
- Fix typo (Jan Rodak)
- Add titles (Jan Rodak)
- Fix performace of generation of graphs (Jan Rodak)
- Rearrange fields of rule detail and OVAL definition detail (Jan Rodak)
- Fix bugs in html (Jan Rodak)
* Mon Sep 11 2023 Packit <hello@packit.dev> - 0.2.5-1
- 0.2.5 (Jan Rodak)
- Show referenced OVAL State (Jan Rodak)

View file

@ -1 +1 @@
SHA512 (openscap_report-1.0.0.tar.gz) = 6ca5a24798961cfc50112e9da9157f582732574fef4592a7fe5c8a98b4ed4b9aa3f7221427bd5e95a799a82468a22a2eddfb2262c6fc22cd2e4262540913db03
SHA512 (openscap-report-0.2.5.tar.gz) = 6a13f5f18cd6b52016d7d04f6d1db37e5506cc90ae6adf75ff431e89bcacec5b081baf1dfb7cd7fdcd90827615b325976950149af051d074a8247fbe62a0f43d